com.mysql.jdbc

## Class CompressedInputStream

- java.lang.Object
- - java.io.InputStream
  - - com.mysql.jdbc.CompressedInputStream

All Implemented Interfaces:
  java.io.Closeable

     class CompressedInputStream
    extends java.io.InputStream

Used to de-compress packets from the MySQL server when protocol-level compression is turned on.

### Constructor Summary

Constructors
Constructor and Description
`CompressedInputStream(Connection conn, java.io.InputStream streamFromServer)` Creates a new CompressedInputStream that reads the given stream from the server.

### Method Summary

Methods
`int` `available()`
`void` `close()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`long` `skip(long n)`

### Methods inherited from class java.io.InputStream

`mark, markSupported, reset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressedInputStream

    public CompressedInputStream(Connection conn,
                         java.io.InputStream streamFromServer)

Creates a new CompressedInputStream that reads the given stream from the server.

Parameters:
  `conn` - DOCUMENT ME!
  `streamFromServer` -

### Method Detail

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`
See Also:
  `InputStream.available()`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`
See Also:
  `InputStream.close()`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`
See Also:
  `InputStream.read()`

#### read

    public int read(byte[] b)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`
See Also:
  `java.io.InputStream#read(byte)`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`
See Also:
  `java.io.InputStream#read(byte, int, int)`

#### skip

    public long skip(long n)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.InputStream`
Throws:
  `java.io.IOException`
See Also:
  `InputStream.skip(long)`